You are not logged in.

#2576 2014-05-01 05:05:47

letailer
Member
Registered: 2014-05-01
Posts: 1

Re: Progress on Unity under Arch Linux!

diaSalvatore wrote:

error while loading shared libraries: libcolord.so.1: cannot open shared object file: No such file or directory

Use downgrade from AUR
downgrade colord -> colord-1.0.6-1 (or whatever 1.0.x)
downgrade colord-gtk -> colord-gtk-0.1.25-1

That helped me

Offline

#2577 2014-05-01 05:26:11

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 137

Re: Progress on Unity under Arch Linux!

diaSalvatore wrote:

when I try to run unity-control-center or gnome-control-center I get:

error while loading shared libraries: libcolord.so.1: cannot open shared object file: No such file or directory

I have extra/colord installed, and I tried with systemctl start colord but nothing change

I had the same problem. I fixed it by creating the following two links:

# ln -s libcolord.so.2.0.1 libcolord.so.1
# ln -s libcolordprivate.so.2.0.1 libcolordprivate.so.1

I don't know if the problem is related, but as soon as I made these two links, my desktop theme changed to the default GNOME theme. If you apply these two links and the same thing happens to you, please let me know.

Offline

#2578 2014-05-01 08:36:26

fredbezies
Member
Registered: 2011-07-28
Posts: 294

Re: Progress on Unity under Arch Linux!

Downgrading or symlinking are not good options. The only good one is too wait for a rebuild package.

Offline

#2579 2014-05-01 08:42:52

diaSalvatore
Member
Registered: 2012-01-31
Posts: 11

Re: Progress on Unity under Arch Linux!

horsemanoffaith wrote:
# ln -s libcolord.so.2.0.1 libcolord.so.1
# ln -s libcolordprivate.so.2.0.1 libcolordprivate.so.1

It worked thank you! smile

Offline

#2580 2014-05-02 02:18:42

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 137

Re: Progress on Unity under Arch Linux!

fredbezies wrote:

Downgrading or symlinking are not good options. The only good one is too wait for a rebuild package.


It's certainly not the best option, fredbezies, but the fact is there are times when you don't have a choice. On my laptop I cannot get X to start using the current Intel driver, and it's been several weeks since the new Intel driver package came out. Also, I can't use the newest pulseaudio, libpulse, or lib32-libpulse packages, because they crash PlayOnLinux, and I play games frequently. If you can't use your computer because something isn't working, and new packages aren't being released, then you have to do some kind of workaround. To me, if you just wait around for package maintainers to write new packages instead of trying to find workarounds on your own, Arch really isn't the best distro for you.

Offline

#2581 2014-05-02 02:32:48

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 137

Re: Progress on Unity under Arch Linux!

diaSalvatore wrote:
horsemanoffaith wrote:
# ln -s libcolord.so.2.0.1 libcolord.so.1
# ln -s libcolordprivate.so.2.0.1 libcolordprivate.so.1

It worked thank you! smile

You're quite welcome!!!

Offline

#2582 2014-05-02 08:44:08

diaSalvatore
Member
Registered: 2012-01-31
Posts: 11

Re: Progress on Unity under Arch Linux!

I'm trying unity on a fresh installation, some problem I still can't fix:

1. Applications whose menubar is correctly globalized, don't have window decoration (eg: nautilus, unity-control-center, gedit, ...)
2. Some applications don't start at all:

$ gnome-terminal 
Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process org.gnome.Terminal exited with status 1

3. some apps have local menu (but they have window decoration!, eg: xfce4-terminal, mousepad)
4. I have some strange flickering, eg: if I select text in xfce4-terminal, it starts blinking (nvidia 337)

Last edited by diaSalvatore (2014-05-02 08:44:58)

Offline

#2583 2014-05-02 10:15:46

n4zm830
Member
From: Vietnam
Registered: 2014-04-17
Posts: 5

Re: Progress on Unity under Arch Linux!

Whenever I choose "Power Settings" or "Sound Settings" in notification bar, only a "System Settings" window shows up.
Screenshot: h3kANvms.png
Maybe it's a bug?

Offline

#2584 2014-05-08 16:43:58

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Please do not update to the latest Unity package.

There's a bug that causes it to not start. If you have already updated, don't reboot or logout yet. Run these commands first:

sudo pacman -S chrpath
sudo chrpath -r /usr/lib/libunity:/usr/lib/compiz:/usr/lib64/compiz:/usr/lib64/libunity /usr/lib/compiz/libunityshell.so

EDIT: A fixed package is being built right now.

Last edited by chenxiaolong (2014-05-08 16:48:29)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2585 2014-05-17 02:05:37

Riley88
Member
From: Canton Georgia USA
Registered: 2013-01-24
Posts: 60

Re: Progress on Unity under Arch Linux!

hey guys its been awhile since ive looked at unity on arch ive got everything working and the only thing thats bugs me is it logging out after 10minutes theres nothing in the control center for screen saver i played around with dconf and nothing worked.


HARDWARE ASUS K55A-RBR6 LAPTOP
Arch Linux 64bit Awesome WM
My setup http://www.youtube.com/watch?v=8il5sR9fxBM

Offline

#2586 2014-05-19 10:43:16

gundamfj
Member
Registered: 2012-01-02
Posts: 21

Re: Progress on Unity under Arch Linux!

I have encountered a problem...

jack@Jack-PC ~ $ unity-tweak-tool 
Gtk-Message: Failed to load module "globalmenu-gnome"

The panel looks very unnatural since the globalmenu does not work properly. I have installed all the packages from Unity-for-Arch and Unity-for-Arch-Extra.
It seems like some packgaes are broken on my system.

Offline

#2587 2014-05-20 14:31:25

shiznix
Member
Registered: 2012-10-04
Posts: 24

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
  • I've added systemd support to indicator-datetime so the timezone shows correctly now. The new version of indicator-datetime only works with /etc/timezone, which Arch Linux has already stopped using for a long time.
    Commit: https://github.com/chenxiaolong/Unity-f … a45ae63633

Hi. I've been attempting to use the systemd timezone patch for indicator-datetime and while it compiles and the indicator-datetime-service runs fine, it crashes when changing timezone with the following error:

terminate called after throwing an instance of 'std::logic_error'
  what():  basic_string::_S_construct null not valid
Aborted

(gdb) bt full
#0  0x00007ffff5cb85c9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
        resultvar = 0
        pid = 24083
        selftid = 24083
#1  0x00007ffff5cb9928 in __GI_abort () at abort.c:89
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fffffffc770, sa_sigaction = 0x7fffffffc770}, sa_mask = {__val = {140737488340752, 12270024, 140737351950359, 5, 0, 140737320724232, 
              140737316954040, 140737320724232, 12270024, 16222992, 140737351976197, 140737353733920, 140737320728496, 1, 140737353736272, 7292112}}, sa_flags = 10, sa_restorer = 0x7ffff7f9d740}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007ffff62a36e5 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#3  0x00007ffff62a1856 in ?? () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#4  0x00007ffff62a1883 in std::terminate() () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#5  0x00007ffff62a1aae in __cxa_throw () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#6  0x00007ffff62f2341 in std::__throw_logic_error(char const*) () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#7  0x00007ffff62fd961 in char* std::string::_S_construct<char const*>(char const*, char const*, std::allocator<char> const&, std::forward_iterator_tag) ()
   from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#8  0x00007ffff62fdcf8 in std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) ()
   from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/libstdc++.so.6
No symbol table info available.
#9  0x0000000000480606 in unity::indicator::datetime::SystemdTimezone::set_timezone() ()
No symbol table info available.
#10 0x00007ffff688d198 in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#11 0x00007ffff689e9cd in ?? () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#12 0x00007ffff68a6692 in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x00007ffff68a68d2 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#14 0x00007ffff68914a5 in ?? () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#15 0x00007ffff6893a7b in g_object_notify () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#16 0x000000000048c18e in ?? ()
No symbol table info available.
#17 0x00007ffff38bed18 in ffi_call_unix64 () from /usr/lib64/libffi.so.6
No symbol table info available.
#18 0x00007ffff38be6c9 in ffi_call () from /usr/lib64/libffi.so.6
No symbol table info available.
#19 0x00007ffff688d9ad in g_cclosure_marshal_generic () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#20 0x00007ffff688d198 in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#21 0x00007ffff689e78b in ?? () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#22 0x00007ffff68a6692 in g_signal_emit_valist () from /usr/lib64/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#23 0x00007ffff68a68d2 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
No symbol table info available.
#24 0x00007ffff7b3cd18 in ?? () from /usr/lib64/libgio-2.0.so.0
No symbol table info available.
#25 0x00007ffff7b2cdf5 in ?? () from /usr/lib64/libgio-2.0.so.0
No symbol table info available.
#26 0x00007ffff659140d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#27 0x00007ffff6591778 in ?? () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#28 0x00007ffff6591a3a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#29 0x0000000000448eea in main ()
No symbol table info available.

Thanks smile

Offline

#2588 2014-05-20 17:59:40

sb56637
Member
Registered: 2009-02-18
Posts: 62

Re: Progress on Unity under Arch Linux!

Hey everybody, Unity on Arch is in great shape now. Here's my quick review with basic instructions for getting Unity running on Arch.

http://libretechtips.com/tips-linux/qui … unity-arch

Thanks again to chenxiaolong for all of his hard work!

Offline

#2589 2014-05-29 11:22:39

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

Does the recent update break unity-for-arch?
Is there anyone else who has the same problem.

The packages I've updated.

[2014-05-29 11:26] [PACMAN] Running 'pacman -Syu'
[2014-05-29 11:26] [PACMAN] synchronizing package lists
[2014-05-29 11:26] [PACMAN] starting full system upgrade
[2014-05-29 11:37] [PACMAN] upgraded libgtop (2.28.5-1 -> 2.30.0-1)
[2014-05-29 11:37] [PACMAN] upgraded alltray (0.7.5.1dev-1 -> 0.7.5.1dev-3)
[2014-05-29 11:37] [PACMAN] upgraded tzdata (2014b-1 -> 2014c-1)
[2014-05-29 11:37] [PACMAN] upgraded glibc (2.19-4 -> 2.19-5)
[2014-05-29 11:37] [PACMAN] upgraded lib32-glibc (2.19-4 -> 2.19-5)
[2014-05-29 11:37] [PACMAN] upgraded lib32-gcc-libs (4.9.0-2 -> 4.9.0-3)
[2014-05-29 11:37] [PACMAN] upgraded gcc-libs-multilib (4.9.0-2 -> 4.9.0-3)
[2014-05-29 11:37] [PACMAN] upgraded astyle (2.04-1 -> 2.04-2)
[2014-05-29 11:37] [PACMAN] upgraded binutils (2.24-3 -> 2.24-4)
[2014-05-29 11:37] [PACMAN] upgraded bluez (5.18-1 -> 5.19-1)
[2014-05-29 11:37] [PACMAN] upgraded bluez-libs (5.18-1 -> 5.19-1)
[2014-05-29 11:37] [PACMAN] upgraded bluez-utils (5.18-1 -> 5.19-1)
[2014-05-29 11:38] [PACMAN] upgraded curl (7.36.0-1 -> 7.37.0-1)
[2014-05-29 11:38] [PACMAN] upgraded burp (3-1 -> 4-1)
[2014-05-29 11:38] [PACMAN] upgraded imagemagick (6.8.9.1-1 -> 6.8.9.1-2)
[2014-05-29 11:38] [PACMAN] upgraded poppler (0.26.0-1 -> 0.26.1-1)
[2014-05-29 11:38] [PACMAN] upgraded poppler-qt4 (0.26.0-1 -> 0.26.1-1)
[2014-05-29 11:38] [PACMAN] upgraded python2-netifaces (0.8-2 -> 0.10.4-1)
[2014-05-29 11:39] [PACMAN] upgraded calibre (1.37.0-1 -> 1.38.0-1)
[2014-05-29 11:39] [PACMAN] upgraded cheese (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:39] [PACMAN] upgraded flac (1.3.0-1 -> 1.3.0-2)
[2014-05-29 11:39] [PACMAN] upgraded harfbuzz (0.9.26-2 -> 0.9.28-1)
[2014-05-29 11:40] [PACMAN] upgraded chromium (34.0.1847.137-1 -> 35.0.1916.114-1)
[2014-05-29 11:40] [PACMAN] upgraded wayland (1.4.0-1 -> 1.5.0-1)
[2014-05-29 11:40] [PACMAN] upgraded elfutils (0.158-2 -> 0.158-3)
[2014-05-29 11:40] [PACMAN] upgraded mesa (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:40] [PACMAN] upgraded cogl (1.18.0-1 -> 1.18.0-2)
[2014-05-29 11:40] [PACMAN] upgraded pam (1.1.8-3 -> 1.1.8-4)
[2014-05-29 11:40] [PACMAN] upgraded libcups (1.7.2-1 -> 1.7.3-1)
[2014-05-29 11:40] [PACMAN] upgraded cups (1.7.2-1 -> 1.7.3-1)
[2014-05-29 11:40] [PACMAN] upgraded mesa-libgl (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:40] [PACMAN] upgraded harfbuzz-icu (0.9.26-2 -> 0.9.28-1)
[2014-05-29 11:41] [PACMAN] upgraded webkitgtk (2.4.1-1 -> 2.4.2-1)
[2014-05-29 11:41] [PACMAN] upgraded epiphany (3.12.0-1 -> 3.12.1-1)
[2014-05-29 11:41] [PACMAN] upgraded fcitx (4.2.8.3-4 -> 4.2.8.4-1)
[2014-05-29 11:41] [PACMAN] upgraded fcitx-gtk2 (4.2.8.3-4 -> 4.2.8.4-1)
[2014-05-29 11:41] [PACMAN] upgraded fcitx-gtk3 (4.2.8.3-4 -> 4.2.8.4-1)
[2014-05-29 11:41] [PACMAN] upgraded fcitx-qt4 (4.2.8.3-4 -> 4.2.8.4-1)
[2014-05-29 11:41] [PACMAN] upgraded qtchooser (39-1 -> 41-1)
[2014-05-29 11:42] [PACMAN] upgraded qt5-base (5.2.1-4 -> 5.3.0-3)
[2014-05-29 11:42] [PACMAN] upgraded fcitx-qt5 (0.1.1-5 -> 0.1.2-1)
[2014-05-29 11:42] [PACMAN] upgraded ffmpeg (1:2.2.2-2 -> 1:2.2.2-3)
[2014-05-29 11:42] [PACMAN] upgraded file-roller (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:42] [PACMAN] upgraded libatomic_ops (7.2.e-1 -> 7.4.2-1)
[2014-05-29 11:42] [PACMAN] upgraded gc (7.4.0-1 -> 7.4.0-3)
[2014-05-29 11:42] [PACMAN] upgraded gcc-multilib (4.9.0-2 -> 4.9.0-3)
[2014-05-29 11:42] [PACMAN] upgraded libgdm (3.12.1-2 -> 3.12.2-1)
[2014-05-29 11:42] [PACMAN] upgraded gdm (3.12.1-2 -> 3.12.2-1)
[2014-05-29 11:42] [PACMAN] upgraded geocode-glib (3.12.0-1 -> 3.12.2-1)
[2014-05-29 11:42] [PACMAN] upgraded git (1.9.2-1 -> 1.9.3-1)
[2014-05-29 11:43] [PACMAN] upgraded python (3.4.0-3 -> 3.4.1-1)
[2014-05-29 11:43] [PACMAN] installed python-psutil (2.1.1-1)
[2014-05-29 11:43] [PACMAN] upgraded glances (1.7.6-1 -> 1.7.7-1)
[2014-05-29 11:43] [PACMAN] upgraded gnome-backgrounds (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:43] [PACMAN] upgraded vte-common (0.36.1-1 -> 0.36.2-1)
[2014-05-29 11:43] [PACMAN] upgraded vte3 (0.36.1-1 -> 0.36.2-1)
[2014-05-29 11:43] [PACMAN] upgraded gnome-color-manager (3.12.1-2 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gnome-online-accounts (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gnome-packagekit (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gnome-power-manager (3.12.0-1 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gnome-terminal (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gnustep-make (2.6.5-2 -> 2.6.6-1)
[2014-05-29 11:44] [PACMAN] upgraded gnustep-base (1.24.5-6 -> 1.24.6-1)
[2014-05-29 11:44] [PACMAN] upgraded goffice (0.10.14-1 -> 0.10.16-1)
[2014-05-29 11:44] [PACMAN] upgraded grep (2.18-1 -> 2.19-1)
[2014-05-29 11:44] [PACMAN] upgraded gtksourceview3 (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:44] [PACMAN] upgraded gucharmap (3.12.0-1 -> 3.12.1-1)
[2014-05-29 11:45] [PACMAN] upgraded vim-runtime (7.4.274-1 -> 7.4.307-3)
[2014-05-29 11:45] [PACMAN] upgraded gvim (7.4.274-1 -> 7.4.307-3)
[2014-05-29 11:45] [PACMAN] upgraded ilmbase (2.0.1-2 -> 2.1.0-1)
[2014-05-29 11:45] [PACMAN] upgraded imake (1.0.6-2 -> 1.0.7-1)
[2014-05-29 11:45] [PACMAN] upgraded indicator-power (12.10.6daily14.04.11-1 -> 12.10.6daily14.04.11-2)
[2014-05-29 11:45] [PACMAN] upgraded indicator-session (12.10.5daily14.04.10-1 -> 12.10.5daily14.04.10-2)
[2014-05-29 11:45] [PACMAN] upgraded intel-dri (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:45] [PACMAN] upgraded json-c (0.11-1 -> 0.12-2)
[2014-05-29 11:45] [PACMAN] upgraded openexr (2.0.1-2 -> 2.1.0-1)
[2014-05-29 11:45] [PACMAN] upgraded kdelibs (4.13.0-1 -> 4.13.1-3)
[2014-05-29 11:45] [PACMAN] upgraded lftp (4.4.16-1 -> 4.5.0-1)
[2014-05-29 11:45] [PACMAN] upgraded lib32-wayland (1.4.0-1 -> 1.5.0-1)
[2014-05-29 11:45] [PACMAN] upgraded lib32-mesa (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:45] [PACMAN] upgraded lib32-mesa-libgl (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:45] [PACMAN] upgraded lib32-intel-dri (10.1.3-1 -> 10.1.4-1)
[2014-05-29 11:45] [PACMAN] upgraded lib32-libstdc++5 (3.3.6-6 -> 3.3.6-7)
[2014-05-29 11:45] [PACMAN] upgraded libdv (1.0.0-5 -> 1.0.0-6)
[2014-05-29 11:45] [PACMAN] upgraded libevdev (1.2-1 -> 1.2.1-1)
[2014-05-29 11:45] [PACMAN] upgraded libgksu (2.0.12-5 -> 2.0.12-6)
[2014-05-29 11:45] [PACMAN] upgraded libgpg-error (1.12-1 -> 1.13-1)
[2014-05-29 11:46] [PACMAN] upgraded libgweather (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:46] [PACMAN] upgraded libutil-linux (2.24.1-6 -> 2.24.2-1)
[2014-05-29 11:46] [PACMAN] upgraded xkeyboard-config (2.11-2 -> 2.12-1)
[2014-05-29 11:46] [PACMAN] upgraded libxkbcommon (0.4.1-1 -> 0.4.2-1)
[2014-05-29 11:46] [PACMAN] upgraded man-pages (3.66-1 -> 3.67-1)
[2014-05-29 11:46] [PACMAN] upgraded meld (1.8.4-1 -> 1.8.5-1)
[2014-05-29 11:46] [PACMAN] upgraded mpfr (3.1.2.p5-1 -> 3.1.2.p8-1)
[2014-05-29 11:46] [PACMAN] upgraded mpg123 (1.19.0-1 -> 1.20.0-1)
[2014-05-29 11:46] [PACMAN] upgraded poppler-glib (0.26.0-1 -> 0.26.1-1)
[2014-05-29 11:46] [PACMAN] upgraded powertop (2.5-1 -> 2.6-1)
[2014-05-29 11:46] [PACMAN] upgraded pygobject-devel (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:46] [PACMAN] upgraded python-gobject (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:46] [PACMAN] upgraded python-markupsafe (0.21-1 -> 0.23-1)
[2014-05-29 11:46] [PACMAN] upgraded python-pip (1.5.5-1 -> 1.5.6-1)
[2014-05-29 11:46] [PACMAN] upgraded python-virtualenv (1.11.5-1 -> 1.11.6-1)
[2014-05-29 11:46] [PACMAN] upgraded python2-configobj (5.0.4-1 -> 5.0.5-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-django (1.6.4-1 -> 1.6.5-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-gnomekeyring (2.32.0-14 -> 2.32.0-15)
[2014-05-29 11:47] [PACMAN] upgraded python2-gobject (3.12.1-1 -> 3.12.2-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-markupsafe (0.21-1 -> 0.23-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-pip (1.5.5-1 -> 1.5.6-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-requests (2.2.1-2 -> 2.3.0-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-virtualenv (1.11.5-1 -> 1.11.6-1)
[2014-05-29 11:47] [PACMAN] upgraded python2-wnck (2.32.0-14 -> 2.32.0-15)
[2014-05-29 11:47] [PACMAN] upgraded qt5-xmlpatterns (5.2.1-4 -> 5.3.0-3)
[2014-05-29 11:47] [PACMAN] installed libxkbcommon-x11 (0.4.2-1)
[2014-05-29 11:47] [PACMAN] upgraded qt5-declarative (5.2.1-4 -> 5.3.0-3)
[2014-05-29 11:47] [PACMAN] upgraded qt5-script (5.2.1-4 -> 5.3.0-3)
[2014-05-29 11:49] [PACMAN] upgraded racket (6.0-1 -> 6.0.1-1)
[2014-05-29 11:49] [PACMAN] upgraded rdesktop (1.8.1-3 -> 1.8.2-1)
[2014-05-29 11:49] [PACMAN] upgraded sbt (1:0.13.2-1 -> 1:0.13.5-1)
[2014-05-29 11:49] [PACMAN] upgraded scala (2.11.0-1 -> 2.11.1-1)
[2014-05-29 11:49] [ALPM-SCRIPTLET] If you get distorted sound in skype, try adding PULSE_LATENCY_MSEC=60 to your
[2014-05-29 11:49] [ALPM-SCRIPTLET] env before starting skype. Something like 'export PULSE_LATENCY_MSEC=60' in .bashrc, for example.
[2014-05-29 11:49] [PACMAN] upgraded skype (4.2.0.13-3 -> 4.2.0.13-4)
[2014-05-29 11:50] [PACMAN] upgraded smplayer (14.3.0-1 -> 14.3.0-2)
[2014-05-29 11:50] [PACMAN] upgraded transmission-cli (2.82-1 -> 2.83-3)
[2014-05-29 11:50] [PACMAN] upgraded transmission-qt (2.82-1 -> 2.83-3)
[2014-05-29 11:50] [PACMAN] upgraded util-linux (2.24.1-6 -> 2.24.2-1)
[2014-05-29 11:50] [PACMAN] upgraded virtualbox-host-modules (4.3.10-2 -> 4.3.12-1)
[2014-05-29 11:50] [PACMAN] upgraded virtualbox (4.3.10-1 -> 4.3.12-1)
[2014-05-29 11:50] [PACMAN] upgraded webkitgtk2 (2.4.1-1 -> 2.4.2-1)
[2014-05-29 11:51] [PACMAN] upgraded wine (1.7.18-1 -> 1.7.19-3)
[2014-05-29 11:51] [ALPM-SCRIPTLET] Updating font cache... done.
[2014-05-29 11:51] [ALPM-SCRIPTLET] wqy-zenhei post install message
[2014-05-29 11:51] [ALPM-SCRIPTLET] ==> Special Note: By default, we disabled the embedded bitmaps, so that the
[2014-05-29 11:51] [ALPM-SCRIPTLET]     characters will be displayed as anti-aliased glyphs.  Those who want to 
[2014-05-29 11:51] [ALPM-SCRIPTLET]     use bitmap font rendering (for 9pt-12pt) can do the following:
[2014-05-29 11:51] [ALPM-SCRIPTLET] 
[2014-05-29 11:51] [ALPM-SCRIPTLET] cd /etc/fonts/conf.d
[2014-05-29 11:51] [ALPM-SCRIPTLET] rm 65-wqy-zenhei.conf
[2014-05-29 11:51] [ALPM-SCRIPTLET] ln -s ../conf.avail/43-wqy-zenhei-sharp.conf .
[2014-05-29 11:51] [ALPM-SCRIPTLET] 
[2014-05-29 11:51] [ALPM-SCRIPTLET]     Remove the symlinks 43-wqy-zenhei-sharp.conf and 65-wqy-zenhei.conf from 
[2014-05-29 11:51] [ALPM-SCRIPTLET]     /etc/fonts/conf.d if you have problems with this package.
[2014-05-29 11:51] [PACMAN] upgraded wqy-zenhei (0.9.45-3 -> 0.9.45-4)
[2014-05-29 11:51] [PACMAN] upgraded xf86-input-evdev (2.8.4-1 -> 2.9.0-1)
[2014-05-29 11:51] [PACMAN] upgraded xf86-input-synaptics (1.7.5-1 -> 1.8.0-1)
[2014-05-29 11:51] [PACMAN] upgraded xmlrpc-c (1:1.36.00-1 -> 1:1.38.02-1)
[2014-05-29 11:51] [PACMAN] upgraded xmms2 (0.8DrO_o-25 -> 0.8DrO_o-27)
[2014-05-29 11:52] [PACMAN] upgraded youtube-dl (2014.05.16-1 -> 2014.05.19-1

Offline

#2590 2014-05-29 11:43:51

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

qiuwei wrote:

Does the recent update break unity-for-arch?
Is there anyone else who has the same problem.

The packages I've updated.

Hi, chenxiaolong,

it seems that the changes you made to your repo are not properly pushed.
For example,

In your repo, the version of gnome-control-center-ubunutu is still 3.12.1-2 while the version which has been built by jenkins is already 3.12.1-3.

Offline

#2591 2014-05-30 03:09:33

horsemanoffaith
Member
Registered: 2013-05-10
Posts: 137

Re: Progress on Unity under Arch Linux!

Unity is broken for me. When I log in, all I get is my background. Keyboard commands do not work either. Any ideas?

Offline

#2592 2014-06-01 02:32:53

Disa
Member
From: Los Angeles, USA
Registered: 2014-06-01
Posts: 1

Re: Progress on Unity under Arch Linux!

horsemanoffaith wrote:

Unity is broken for me. When I log in, all I get is my background. Keyboard commands do not work either. Any ideas?


I am also having this problem. I tried uninstalling and then reinstalling using

 sudo pacman -S $(pacman -Slq Unity-for-Arch) 

However, I'm unable to reinstall because I get a bunch of 404 errors. This is what I got when I tried reinstalling:

sudo pacman -S $(pacman -Slq Unity-for-Arch)
warning: bamf-0.5.1.14.04.20140409-1 is up to date -- reinstalling
warning: cairo-ubuntu-1.13.0.20140204-2 is up to date -- reinstalling
warning: dee-ubuntu-1.2.7.14.04.20140324-2 is up to date -- reinstalling
warning: evemu-1.2.0-100 is up to date -- reinstalling
warning: gnome-control-center-ubuntu-3.12.1-2 is up to date -- reinstalling
warning: gnome-settings-daemon-ubuntu-3.12.2-1 is up to date -- reinstalling
warning: gsettings-desktop-schemas-ubuntu-3.12.0-1 is up to date -- reinstalling
warning: gtk2-ubuntu-2.24.23-1 is up to date -- reinstalling
warning: gtk3-ubuntu-3.12.1-2 is up to date -- reinstalling
warning: ido-13.10.0daily14.04.23-1 is up to date -- reinstalling
warning: indicator-application-12.10.1daily14.04.07-2 is up to date -- reinstalling
warning: indicator-appmenu-13.01.0daily14.04.04-1 is up to date -- reinstalling
warning: indicator-bluetooth-0.0.6.daily14.02.07-102 is up to date -- reinstalling
warning: indicator-datetime-13.10.0.14.04.20140415.3-1 is up to date -- reinstalling
warning: indicator-messages-13.10.1.14.04.20140410-1 is up to date -- reinstalling
warning: indicator-power-12.10.6daily14.04.11-2 is up to date -- reinstalling
warning: indicator-printers-0.1.7daily14.03.13-101 is up to date -- reinstalling
warning: indicator-session-12.10.5daily14.04.10-2 is up to date -- reinstalling
warning: indicator-sound-12.10.2daily14.04.01-3 is up to date -- reinstalling
warning: libappindicator-12.10.1daily13.09.20-101 is up to date -- reinstalling
warning: libappindicator3-12.10.1daily13.09.20-101 is up to date -- reinstalling
warning: libcolumbus-1.1.0.14.04.20140325.3-2 is up to date -- reinstalling
warning: libdbusmenu-glib-12.10.3daily14.03.19-2 is up to date -- reinstalling
warning: libdbusmenu-gtk2-12.10.3daily14.03.19-2 is up to date -- reinstalling
warning: libdbusmenu-gtk3-12.10.3daily14.03.19-2 is up to date -- reinstalling
warning: libindicate-12.10.1-111 is up to date -- reinstalling
warning: libindicate-gtk2-12.10.1-111 is up to date -- reinstalling
warning: libindicator-12.10.2daily14.04.02-1 is up to date -- reinstalling
warning: libindicator3-12.10.2daily14.04.02-1 is up to date -- reinstalling
warning: libnautilus-extension-ubuntu-3.12.0-2 is up to date -- reinstalling
warning: liboverlay-scrollbar-1:0.2.16.r359daily13.11.29-1 is up to date -- reinstalling
warning: liboverlay-scrollbar3-1:0.2.16.r359daily13.11.29-1 is up to date -- reinstalling
warning: libtimezonemap-0.4.1-1 is up to date -- reinstalling
warning: libunity-7.1.4.14.04.20140210-100 is up to date -- reinstalling
warning: lightdm-ubuntu-1.11.1-1 is up to date -- reinstalling
warning: nautilus-ubuntu-3.12.0-2 is up to date -- reinstalling
warning: network-manager-applet-ubuntu-1:0.9.8.10-1 is up to date -- reinstalling
warning: overlay-scrollbar-1:0.2.16.r359daily13.11.29-1 is up to date -- reinstalling
warning: properties-cpp-0.0.1.14.04.20140220-1 is up to date -- reinstalling
warning: qt4-ubuntu-4.8.5-101 is up to date -- reinstalling
warning: sni-qt-0.2.6-107 is up to date -- reinstalling
warning: unity-asset-pool-0.8.24.daily13.06.10-101 is up to date -- reinstalling
warning: unity-control-center-14.04.3.14.04.20140328-4 is up to date -- reinstalling
warning: unity-gtk-module-2:0.0.0.14.04.20140403-3 is up to date -- reinstalling
warning: unity-lens-applications-7.1.0.13.10.20131011-103 is up to date -- reinstalling
warning: unity-lens-files-7.1.0daily13.09.20-104 is up to date -- reinstalling
warning: unity-lens-music-6.9.0.13.10.20131011-104 is up to date -- reinstalling
warning: unity-lens-photos-1.0.daily14.03.18-2 is up to date -- reinstalling
warning: unity-lens-video-0.3.15.daily13.09.20-102 is up to date -- reinstalling
warning: unity-scope-home-6.8.2.14.04.20131029.1-3 is up to date -- reinstalling
warning: unity-scopes-1:1.0-10 is up to date -- reinstalling
warning: zeitgeist-ubuntu-0.9.14-3 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Packages (92): boost-1.55.0-6  gjs-1.40.1-1  gnome-doc-utils-0.20.10-1  gnome-mime-data-2.18.0-6  gnome-vfs-2.24.4-8  gucharmap-3.12.1-1  ibus-1.5.7-2  js-24.2.0-1  libart-lgpl-2.3.21-3  libbonobo-2.32.1-4
               libbonoboui-2.24.5-2  libgnome-2.32.1-5  libgnome-data-2.32.1-5  libgnomecanvas-2.30.3-2  libgnomeui-2.24.5-1  libidl2-0.8.14-3  orbit2-2.14.19-3  protobuf-2.5.0-3  pyrex-0.9.9-3  rarian-0.8.1-3
               bamf-0.5.1.14.04.20140409-1  cairo-ubuntu-1.13.0.20140204-2  compiz-ubuntu-0.9.11.14.04.20140423-1  dee-qt-3.3.14.04.20140317-1  dee-ubuntu-1.2.7.14.04.20140324-2  evemu-1.2.0-100
               frame-2.5.0.daily13.06.05-100  geis-2.2.16.daily14.03.03-100  gnome-control-center-ubuntu-3.12.1-2  gnome-screensaver-ubuntu-3.6.1-15  gnome-session-ubuntu-3.12.1-1
               gnome-settings-daemon-ubuntu-3.12.2-1  grail-3.1.0.daily13.06.05-100  gsettings-desktop-schemas-ubuntu-3.12.0-1  gsettings-qt-0.1.14.04.20140408-1  gtk2-ubuntu-2.24.23-1  gtk3-ubuntu-3.12.1-2
               hud-13.10.1daily14.04.02-1  ido-13.10.0daily14.04.23-1  indicator-application-12.10.1daily14.04.07-2  indicator-appmenu-13.01.0daily14.04.04-1  indicator-bluetooth-0.0.6.daily14.02.07-102
               indicator-datetime-13.10.0.14.04.20140415.3-1  indicator-keyboard-0.0.0.14.04.20140410.1-2  indicator-messages-13.10.1.14.04.20140410-1  indicator-power-12.10.6daily14.04.11-2
               indicator-printers-0.1.7daily14.03.13-101  indicator-session-12.10.5daily14.04.10-2  indicator-sound-12.10.2daily14.04.01-3  libappindicator-12.10.1daily13.09.20-101
               libappindicator3-12.10.1daily13.09.20-101  libcolumbus-1.1.0.14.04.20140325.3-2  libdbusmenu-glib-12.10.3daily14.03.19-2  libdbusmenu-gtk2-12.10.3daily14.03.19-2
               libdbusmenu-gtk3-12.10.3daily14.03.19-2  libdbusmenu-qt5-0.9.3+14.04.20140314-1  libindicate-12.10.1-111  libindicate-gtk2-12.10.1-111  libindicate-gtk3-12.10.1-111  libindicate-qt-0.2.5.91.5-106
               libindicator-12.10.2daily14.04.02-1  libindicator3-12.10.2daily14.04.02-1  libnautilus-extension-ubuntu-3.12.0-2  liboverlay-scrollbar-1:0.2.16.r359daily13.11.29-1
               liboverlay-scrollbar3-1:0.2.16.r359daily13.11.29-1  libtimezonemap-0.4.1-1  libunity-7.1.4.14.04.20140210-100  libunity-misc-4.0.5daily14.01.15-100  lightdm-ubuntu-1.11.1-1
               lightdm-unity-greeter-14.04.9-1  metacity-ubuntu-2.34.13.0ubuntu4-107  nautilus-ubuntu-3.12.0-2  network-manager-applet-ubuntu-1:0.9.8.10-1  nux-4.0.6.14.04.20140409-2
               overlay-scrollbar-1:0.2.16.r359daily13.11.29-1  properties-cpp-0.0.1.14.04.20140220-1  qt4-ubuntu-4.8.5-101  sni-qt-0.2.6-107  unity-7.2.0.14.04.20140423-2
               unity-asset-pool-0.8.24.daily13.06.10-101  unity-control-center-14.04.3.14.04.20140328-4  unity-gtk-module-2:0.0.0.14.04.20140403-3  unity-language-packs-14.04-5
               unity-lens-applications-7.1.0.13.10.20131011-103  unity-lens-files-7.1.0daily13.09.20-104  unity-lens-music-6.9.0.13.10.20131011-104  unity-lens-photos-1.0.daily14.03.18-2
               unity-lens-video-0.3.15.daily13.09.20-102  unity-scope-home-6.8.2.14.04.20131029.1-3  unity-scopes-1:1.0-10  xpathselect-1.4daily14.03.03-1  zeitgeist-ubuntu-0.9.14-3

Total Download Size:    14.36 MiB
Total Installed Size:   543.70 MiB
Net Upgrade Size:       285.53 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages ...
error: failed retrieving file 'gsettings-desktop-schemas-ubuntu-3.12.0-1-any.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'gtk3-ubuntu-3.12.1-2-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'network-manager-applet-ubuntu-1_0.9.8.10-1-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'gnome-control-center-ubuntu-3.12.1-2-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'lightdm-ubuntu-1.11.1-1-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'libnautilus-extension-ubuntu-3.12.0-2-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'nautilus-ubuntu-3.12.0-2-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed retrieving file 'nux-4.0.6.14.04.20140409-2-x86_64.pkg.tar.xz' from dl.dropbox.com : The requested URL returned error: 404 None
warning: failed to retrieve some files
error: failed to commit transaction (download library error)
Errors occurred, no packages were upgraded.
 

Before uninstalling, I tried running the command "unity" by switching to another shell(?), "tty3".
I don't have the output anymore but it was getting stuck on starting the plugin opengl, if that helps.

P.S. First time posting, and wanted to thank you, Chenxiaolong, for you work on Unity-for-Arch. I've really enjoyed using it so far!

Offline

#2593 2014-06-01 17:50:15

Reded
Member
From: Manchester, England
Registered: 2012-02-21
Posts: 233

Re: Progress on Unity under Arch Linux!

Disa wrote:

P.S. First time posting, and wanted to thank you, Chenxiaolong, for you work on Unity-for-Arch. I've really enjoyed using it so far!

+1, I've been using it on and off for a while and while there are sometimes bugs (like the current one that seems to have hit us all of not being able to start Unity) When it works, it works beautifully big_smile

Also just posting to say I've hit the same issue - Unity won't start and all I get is a background screen. Similar errors to Disa when started from TTY, but will double-check that when possible!


"Some humans would do anything to see if it was possible to do it. If you put a large switch in some cave somewhere, with a sign on it saying "End-of-the-World Switch. PLEASE DO NOT TOUCH", the paint wouldn't even have time to dry."

Offline

#2594 2014-06-03 08:05:59

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

After the rebuild of bamf, everything works. Thanks chenxialong!

BTW, @chenxiaolong,

Is there any special reason why the search in dash is much slower than that on ubuntu?

Offline

#2595 2014-06-04 03:30:02

sb56637
Member
Registered: 2009-02-18
Posts: 62

Re: Progress on Unity under Arch Linux!

qiuwei wrote:

Is there any special reason why the search in dash is much slower than that on ubuntu?

Two things possibly:

1. Are you running in a VM? I've found that Unity for Arch can't seem to use 3D acceleration in VM (other desktops in the same installation are able to use 3D accel) and this makes the dash search very slow.

2. Try opening Unity Tweak and disabling the suggested applications results and online search results.

Offline

#2596 2014-06-08 20:41:29

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

I'm very close to getting the Unity Control Center to work properly smile We'll finally have working display settings again:

ll1yaWCs.png


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2597 2014-06-10 04:49:05

sb56637
Member
Registered: 2009-02-18
Posts: 62

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

I'm very close to getting the Unity Control Center to work properly smile We'll finally have working display settings again:

http://i.imgur.com/ll1yaWCs.png

Nice!! Thanks for the update.

Offline

#2598 2014-06-25 18:22:36

okto
Member
Registered: 2014-06-24
Posts: 14

Re: Progress on Unity under Arch Linux!

Overjoyed to have Unity running on Arch. I used Ubuntu for a while, and liked nothing about it but the Unity interface. Good to have all the best parts playing together.

I think this is the place to ask about problems running Unity on Arch, although it seems like it should have its own subforum? Anyway:

1. The panel clock will disappear when I click Date/Time Settings in the pop-up menu. Unchecking and re-checking it in Unity Tweak Tool seems to have no effect re-starting it, although doing the same for the Power and Volume apps works as expected.
2. Related to this, the percentage/time display on the Power app works sporadically. Like the clock, once it disappears it will not reappear until I log out and back in.
3. Where do I set things to run on login? It isn't in the power/gear menu at top right like it was on Ubuntu, and the version of Guake in Arch repos doesn't seem to have a "start on login" option.


This is the output of journalctl with the clock running as I click the clock to bring up the calendar and menu, and then click Date/Time Settings:

Jun 25 13:31:59 localhost gnome-session[17721]: terminate called after throwing an instance of 'std::logic_error'
Jun 25 13:31:59 localhost gnome-session[17721]: what():  basic_string::_S_construct null not valid
Jun 25 13:31:59 localhost gnome-session[17721]: (unity-panel-service:17946): libindicator-WARNING **: Could not activate service 'indicator-datetime': GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.indicator.datetime was not provided by any .service files
Jun 25 13:32:12 localhost gnome-session[17721]: (unity-panel-service:17946): GLib-GIO-CRITICAL **: g_action_group_change_action_state: assertion 'G_IS_ACTION_GROUP (action_group)' failed

Unity and all associateds installed from the unofficial Dropbox repo through pacman.
Compiz 0.9.11, Unity 7.2.0, gtk3-ubuntu 3.12.2-1, linux 3.15.1-1 32 bit.

Last edited by okto (2014-06-25 18:35:24)

Offline

#2599 2014-06-26 00:37:19

Reded
Member
From: Manchester, England
Registered: 2012-02-21
Posts: 233

Re: Progress on Unity under Arch Linux!

Possibly related to the above - When I run indicator-datetime-service, it terminates with this error when ran in a terminal:

terminate called after throwing an instance of 'std::logic_error'
  what():  basic_string::_S_construct null not valid
zsh: abort      /usr/lib/indicator-datetime/indicator-datetime-service

It runs for maybe 30 seconds before doing this, and doesn't appear when I login.


"Some humans would do anything to see if it was possible to do it. If you put a large switch in some cave somewhere, with a sign on it saying "End-of-the-World Switch. PLEASE DO NOT TOUCH", the paint wouldn't even have time to dry."

Offline

#2600 2014-06-26 15:56:13

aabmass
Member
Registered: 2011-12-14
Posts: 32

Re: Progress on Unity under Arch Linux!

Reded wrote:

Possibly related to the above - When I run indicator-datetime-service, it terminates with this error when ran in a terminal:

terminate called after throwing an instance of 'std::logic_error'
  what():  basic_string::_S_construct null not valid
zsh: abort      /usr/lib/indicator-datetime/indicator-datetime-service

It runs for maybe 30 seconds before doing this, and doesn't appear when I login.

Same here:

$ time /usr/lib/indicator-datetime/indicator-datetime-service 

(process:5814): Indicator-Datetime-WARNING **: Getting timezone from systemd's timedate1 interface

(process:5814): Indicator-Datetime-WARNING **: indicator-datetime cannot connect to EDS source: Unable to connect to 'Calendar': Cannot open calendar: Timeout was reached
terminate called after throwing an instance of 'std::logic_error'
  what():  basic_string::_S_construct null not valid
Aborted

real	0m30.093s
user	0m0.093s
sys	0m0.010s

30 seconds was a very good estimate..

Edit:

Unfortunately, enabling systemd-timesyncd.service didn't help:

# systemctl enable systemd-timesyncd.service
# systemctl start systemd-timesyncd.service

Last edited by aabmass (2014-06-26 16:06:29)

Offline

Board footer

Powered by FluxBB